<template>
  <img v-for="image in list"
       :key="image"
       :src="image.thumb"
       class="_thumbnail"
       @click="imageToDisplay = image.source">

  <rui-image-viewer v-if="imageToDisplay"
                    :preselected="imageToDisplay"
                    :list="list.map(i => i.source)"
                    @close="imageToDisplay = null" />
</template>

<script>
export default {
  data () {
    const list = [
      { thumb: 'https://picsum.photos/id/10/320', source: 'https://picsum.photos/id/10/1080' },
      { thumb: 'https://picsum.photos/id/11/320', source: 'https://picsum.photos/id/11/1080' },
      { thumb: 'https://picsum.photos/id/12/320', source: 'https://picsum.photos/id/12/1080' },
      { thumb: 'https://picsum.photos/id/13/320', source: 'https://picsum.photos/id/13/1080' },
      { thumb: 'https://picsum.photos/id/14/320', source: 'https://picsum.photos/id/14/1080' },
    ]

    return {
      imageToDisplay: null,
      list,
      // Optional for the component. It's the list of URL to use when cycling through images.
      urlList: list.map(e => e.source),
    }
  },
}
</script>
